import SwiftUI

struct LocalizedPageSettingsView: View {

    @ObservedObject
    var settings: LocalizedPageSettings

    var body: some View {
        VStack(alignment: .leading) {
            StringPropertyView(
                title: "Empty Page Title",
                text: $settings.emptyPageTitle,
                footer: "The title to show for the box on an empty page")

            TextFieldPropertyView(
                title: "Empty Page Text",
                text: $settings.emptyPageText,
                footer: "The text to show in the box on an empty page")
        }
    }
}
